# $ApsCVS: src/apsfilter/Makefile,v 1.39.2.6 2001/03/20 14:54:36 andreas Exp $

PREFIX?=/usr/local
APSSHARE=${PREFIX}/share

MKDIR=mkdir -p

INSTALL_PRG=install -c -s -m 555 -o bin -g bin
INSTALL_SCRIPT=install -c -m 555 -o bin -g bin
INSTALL_DATA=install -c -m 444 -o bin -g bin

install:
	make update

update:
	${MKDIR} ${APSSHARE}/apsfilter
	${MKDIR} ${APSSHARE}/apsfilter/bin
	${MKDIR} ${APSSHARE}/apsfilter/setup
	${MKDIR} ${APSSHARE}/apsfilter/template
	${MKDIR} ${APSSHARE}/doc/apsfilter
	${INSTALL_SCRIPT} SETUP			${APSSHARE}/apsfilter
	${INSTALL_SCRIPT} bin/apsfilter		${APSSHARE}/apsfilter/bin
	${INSTALL_SCRIPT} bin/setup_dvips.sh	${APSSHARE}/apsfilter/bin
	${INSTALL_DATA}   setup/README		${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/test.ps		${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/devices-5.50	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/devices-6.01	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/devices-6.50	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-5.50	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-6.01	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-6.50	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-cdj	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-hpdj	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-omni	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-pcl3	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-ppa	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-ps	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   setup/printer-stp	${APSSHARE}/apsfilter/setup
	${INSTALL_DATA}   template/README	${APSSHARE}/apsfilter/template
	${INSTALL_DATA}   template/apsfilterrc	${APSSHARE}/apsfilter/template
	${INSTALL_DATA}   ANNOUNCE		${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   FAQ			${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   HOWTO-BUGREPORTS	${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   LICENSE		${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   doc/README.BSD	${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   doc/README.TeX	${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   doc/handbook.html	${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   doc/paper		${APSSHARE}/doc/apsfilter
	${INSTALL_DATA}   man/apsfilter.1	${PREFIX}/man/man1/apsfilter.1
	${INSTALL_DATA}   man/apsfilterrc.5	${PREFIX}/man/man5/apsfilterrc.5

configure:
	cd ${APSSHARE}/apsfilter && ./SETUP

clean:
	rm -f SETUP.cfg

.include <bsd.subdir.mk>
